package vn.azteam.tpf.service.dto;

import vn.azteam.tpf.domain.TBCodeDetails;
import vn.azteam.tpf.domain.TBCodeStatusEnum;
import vn.azteam.tpf.domain.TBCrop;

import java.io.Serializable;
import java.time.Instant;
import java.util.HashSet;
import java.util.Set;

public class TBCodeDTO implements Serializable {

    private Long id;

    private TBCropDTO tbCrop;

    private String code;

    private Integer quantity;

    private String description;

    private String pathImage;

    private TBCodeStatusEnum status;

    private Instant expiredDate;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    private Set<TBCodeDetailsDTO> tbCodeDetails = new HashSet<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPathImage() {
        return pathImage;
    }

    public void setPathImage(String pathImage) {
        this.pathImage = pathImage;
    }

    public TBCodeStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TBCodeStatusEnum status) {
        this.status = status;
    }

    public Instant getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(Instant expiredDate) {
        this.expiredDate = expiredDate;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long createdById) {
        this.createdById = createdById;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long modifiedById) {
        this.modifiedById = modifiedById;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long deletedById) {
        this.deletedById = deletedById;
    }

    public TBCropDTO getTbCrop() {
        return tbCrop;
    }

    public void setTbCrop(TBCropDTO tbCrop) {
        this.tbCrop = tbCrop;
    }

    public Set<TBCodeDetailsDTO> getTbCodeDetails() {
        return tbCodeDetails;
    }

    public void setTbCodeDetails(Set<TBCodeDetailsDTO> tbCodeDetails) {
        this.tbCodeDetails = tbCodeDetails;
    }
}
